using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using ColumnAttribute = MegaRobo.Entities.ColumnAttribute;

namespace MegaRobo.C00225155.Entities.ToWeb
{
    public enum HttpRequestTypeEnum
    {
        Get = 0,
        Post = 1,
    }


    public class WebApiUrl
    {
        /// <summary>
        /// 方法名称
        /// </summary>
        [Description("方法名称")]
        [Column(IsPrimaryKey = true)]
        public string MethodName { get; set; }

        /// <summary>
        /// 站号
        /// </summary>
        [Description("站号")]
        [Column(IsPrimaryKey = true)]
        public string StationCode { get; set; }

        /// <summary>
        /// 对应路径url
        /// </summary>
        [Description("对应路径url")]
        public string URL { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        [Description("是否启用")]
        [Column(Comment = "是否启用")]
        public bool IsEnable { get; set; }
        /// <summary>
        /// 请求类型
        /// </summary>
        [Description("请求类型")]
        [Column(Comment = "请求类型")]
        public HttpRequestTypeEnum RequestType { get; set; }
    }
}
